PostgreSQL RPMs for SLES 12 SP4 and SP5 are available.

Please install repository by following the instructions here first: Zypp repository Howto

Please report any packaging related errors to us.